%global srcname flake8-class-newline

Name:           python-%{srcname}
Version:        1.6.0
Release:        1%{?dist}
Summary:        Flake8 extension to check for new lines after class definitions

License:        MIT
URL:            https://github.com/AlexanderVanEck/%{srcname}
Source0:        https://github.com/AlexanderVanEck/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
PEP8 says we should surround every class method with a single blank line.
However flake8 is ambiguous about the first method having a blank line above
it. This plugin was made to enforce that it should.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel


%description -n python%{python3_pkgversion}-%{srcname}
PEP8 says we should surround every class method with a single blank line.
However flake8 is ambiguous about the first method having a blank line above
it. This plugin was made to enforce that it should.


%prep
%autosetup -p1 -n %{srcname}-%{version}

# Relax maximum test dependency versions
sed -i 's/<[=0-9.]*,\?//' requirements-dev.txt

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files flake8_class_newline


%check
%tox


%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%doc CHANGELOG.md README.rst


%changelog
* Thu Nov 10 2022 Scott K Logan <logans@cottsay.net> - 1.6.0-1
- Initial package
